com.tibco.ftl.group

## Enum Group.GroupMemberServerConnection

- java.lang.Object
- - java.lang.Enum<Group.GroupMemberServerConnection>
  - - com.tibco.ftl.group.Group.GroupMemberServerConnection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Group.GroupMemberServerConnection>
  Enclosing interface:
    Group

      public static enum Group.GroupMemberServerConnection
      extends java.lang.Enum<Group.GroupMemberServerConnection>

  Group member connection to group server; enumeration.

  The group server available field of a group status advisory message can contain a value of this enumerated type.

  See Also:
    `Group.FIELD_GROUP_SERVER_AVAILABLE`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVAILABLE` The application is connected to the group server.
    `UNAVAILABLE` The application is not connected to the group server.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Group.GroupMemberServerConnection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Group.GroupMemberServerConnection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNAVAILABLE

          public static final Group.GroupMemberServerConnection UNAVAILABLE

      The application is not connected to the group server.

    - #### AVAILABLE

          public static final Group.GroupMemberServerConnection AVAILABLE

      The application is connected to the group server.

  - ### Method Detail

    - #### values

          public static Group.GroupMemberServerConnection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Group.GroupMemberServerConnection c : Group.GroupMemberServerConnection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Group.GroupMemberServerConnection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null